<template>
  <section class="has-background-white-bis">
  <section class="hero is-bold has-text-black column is-three-fifths is-offset-one-fifth">
  
  <div class="hero-head">
    <div class="container">
        <h1 class="title"><strong>{{ $t("SendBug.title") }}</strong></h1>
    </div>
  </div>
  
   <br />
  
   <div class="hero-body">
	<section class="box is-medium has-background-grey-light is-rounded">
	  <div class="container has-text-centered">
   		<h1 class="subtitle"><strong>{{ $t('form.required') }}</strong></h1>
    	    
			<b-field :label="$t('form.phoneType.label')" label-position="inside">
				<b-select :placeholder="$t('form.phoneType.placeholder')" icon-pack="fas" icon="mobile-alt" v-model="phoneType"  required>
					<option value="android">Android</option>
					<option value="ios">iOS</option>
				</b-select>
            </b-field>

		    <b-field :label="$t('SendBug.message.label')" label-position="inside" required>
      			<b-input :placeholder="$t('SendBug.message.placeholder')"
					maxlength="512"
					type="textarea"
					v-model="message"
					value=""></b-input>
			</b-field>
       </div>
	</section>

	<br />
	<hr>
	<br /> 

	<section class="box is-medium has-background-grey-lighter is-rounded">

		<div class="container has-text-centered">

  			<h1 class="subtitle"><strong>{{ $t('form.optional') }}</strong></h1>

			<b-field :label="$t('form.login.label')" label-position="inside">
				<b-input :placeholder="$t('form.login.placeholder')"
					type="login"
					icon-pack="far"
					icon="user-circle"
					v-model="login"
					value=""></b-input>
			</b-field>

			<b-field :label="$t('form.email.label')" label-position="inside">
      			<b-input :placeholder="$t('form.email.placeholder')"
					type="email"
					icon-pack="fas"
					icon="envelope"
					v-model="email"
					value=""></b-input>
			</b-field>
 
		<b-field>
 			<b-upload v-model="dropFiles"
			  multiple
		  	drag-drop>
	  	
				<section class="section">
					<div class="content has-text-centered">
						<p>
							<b-icon
								icon="upload"
								size="is-large">
							</b-icon>
						</p>
						<p>{{ $t("form.upload.label") }}</p>
					</div>
				</section>
		
			</b-upload>
    
	    </b-field>

      <div class="tags">
		<span v-for="(file, index) in dropFiles"
	      :key="index"
	      class="tag is-primary" >
		  {{file.name}}
	  	<button class="delete is-small"
		  type="button"
		  @click="deleteDropFile(index)">
	  	</button>
		</span>
      </div>


		</div>


	</section>
    
	<b-field class="is-pulled-right" horizontal><!-- Label left empty for spacing -->
      		<p class="control">
        		<button class="button is-primary" @click="onSubmit">{{ $t("form.submit") }}</button>
      		</p>
	    </b-field>    
	</div>

  </section>
  </section>
</template>

<script>
import { Toast } from 'buefy/dist/components/toast'
export default {
    data (){
	return {
	    login: null,
	    email: null,
	    phoneType: null,
	    message: null,
	    dropFiles: null,
	}
    },
    methods: {
	deleteDropFile(index) {
	    this.dropFiles.splice(index, 1)
	},
	onSubmit () {
	    console.log({ "login": this.login, "email": this.email, "phoneType": this.phoneType, "description": this.message, "files": this.dropFiles });
	     let currentObj = this;
		this.axios.post(process.env.VUE_APP_ROOT_API + '/beta/feedback', {
                    "login": this.login,
		    "email": this.email,
		    "phoneType": this.phoneType,
		    "description": this.message,
		    "files": this.dropFiles 
	})
                .then(function (response) {
                    currentObj.output = response.data;
                    console.log(response.data.message);
                    Toast.open({
			duration: 3000,
                        message: response.data.message,
                        position: 'is-bottom',
                        type: 'is-success'
                     })

		})
                .catch(function (error) {
                    currentObj.output = error;
                    console.log(error.message);
    		    Toast.open({
                        duration: 3000,
                        message: error.message,
                        position: 'is-bottom',
                        type: 'is-danger'
        		})

		    });		
	}
    }
}
</script>
